MEDIT(1)

NAME

medit - text editor

SYNOPSIS

medit [OPTION]... [FILES]

DESCRIPTION

medit is a text editor.

OPTIONS

-n, --new-app
    run new instance of medit. By default medit opens FILES (or creates a new document if none are given) in an existing instance of application

-s, --use-session[=yes|no]
    load and save session. By default medit does it when -n is not used. If this option is not given on command line then medit uses the corresponding preferences setting.

--pid PID
    use existing instance with process id PID.

--app-name NAME
    use instance name NAME. If an instance with this name is already running, then it will send files given on the command line to that instance and exit.

-e, --encoding ENCODING
    use provided character encoding to open the file

-l, --line LINE
    open file and position cursor on line LINE. Alternatively line number may be specified with filename, e.g. medit foo.txt:12

-r, --reload
    automatically reload opened file if it was modified on disk by another program.

-w, --new-window
    open file in a new window.

-t, --new-tab
    open file in a new tab.

--log-file FILE
    write debug output into FILE. This option is only useful on Windows.

--log-window
    show debug output in a log window. This option is only useful on Windows.

--debug DOMAINS
    enable debug output for DOMAINS (if medit was compiled with --enable-debug option).

--geometry WIDTHxHEIGHT

--geometry WIDTHxHEIGHT+X+Y
    default window size and position.

-h, --help
    show summary of options.

-v, --version
    show program version.

FILES
    list of files to open. Filenames may include line numbers after colon, e.g. /tmp/file.txt:200. Trailing colon is ignored.

ENVIRONMENT VARIABLES

MEDIT_PID
    if set, it is used as --pid argument. When medit spawns a process (e.g. a DVI viewer) it sets MEDIT_PID to its own process id, so the child process may in turn simply use 'medit filename' to open a file (e.g. for inverse DVI search).

CONTACT

http://mooedit.sourceforge.net/contact.html

AUTHOR

Written and maintained by Yevgen Muntyan <emuntyan@users.sourceforge.net>